Skip to main content

Retrieve public event data

Retrieve public event data

Path Parameters
event_id uuid4 REQUIRED
Query Parameters
code Code

Event access code

Event access code

Responses
200

Successful Response

Schema OPTIONAL
ok Ok OPTIONAL

Indicates if the request was successful or not.

data object
event_id uuid

Event ID

title Title

Event title

description Description OPTIONAL

Event description

event_type EventType

Possible values: [in-person, online]

location Location OPTIONAL

Event location

timezone Timezone OPTIONAL

Event IANA timezone

utc_start_dt date-time

Event start date and time in UTC

utc_end_dt date-time

Event end date and time in UTC

cover_image_url Cover Image Url OPTIONAL

Event cover image URL

qr_code_url uri

Possible values: 1 ≤ length ≤ 2083

Event QR code URL

lifecycle_status EventLifecycleStatusV2

Possible values: [setup_required, upcoming, ready, live, finished]

room_name_suffix Room Name Suffix OPTIONAL

LiveKit room name suffix shared by all channels in the event

stages object[] OPTIONAL

Stages with their channels

stage_id uuid

Stage ID

event_id uuid

Parent event ID

name Name

Stage name

status StageStatus

Possible values: [setup_required, ready, live]

qr_code_url uri

Possible values: 1 ≤ length ≤ 2083

Stage QR code URL

greenscreen_settings Greenscreen Settings OPTIONAL

Stage caption rendering settings

utc_created_at date-time

Stage creation time in UTC

utc_updated_at date-time

Stage last update time in UTC

channels object[] OPTIONAL

Channels in the stage

channel_id uuid

Channel ID

stage_id uuid

Parent stage ID

broadcast_id Broadcast Id OPTIONAL

Underlying broadcast ID for direct streaming access

name Name

Channel name

input_type ChannelInputType

Possible values: [webrtc_push, rtmp_push, srt_push, hls_pull]

runtime_status OPTIONAL

Channel runtime status

source_language Source Language OPTIONAL

Channel input language

target_languages string[] OPTIONAL

Channel target translation languages

sessions object[] OPTIONAL

Event sessions

session_id uuid

Session ID

stage_id uuid

Parent stage ID

title Title

Session title

description Description OPTIONAL

Session description

utc_start_dt date-time

Session start date and time in UTC

utc_end_dt date-time

Session end date and time in UTC

speakers object[] OPTIONAL

Session speakers

captcha_required Captcha Required OPTIONAL

True when the listener page must render Cloudflare Turnstile and POST /listener/verify before sending analytics. Mirrors the TURNSTILE_ENABLED config flag.

turnstile_site_key Turnstile Site Key OPTIONAL

Public Cloudflare Turnstile site key. Present iff captcha_required.

default

Default Response

Schema OPTIONAL
ok Ok OPTIONAL

Indicates if the request was successful or not.

errors object[]

List of errors

type uri

Possible values: 1 ≤ length ≤ 2083

A string containing a URI reference that identifies the problem type.

status Status

Possible values: 399 < value < 600

A number indicating the HTTP status code.

title Title

Possible values: 5 ≤ length

A string containing a short, human-readable summary of the problem type.

detail Detail

Possible values: 5 ≤ length

A string containing a human-readable explanation specific to this occurrence of the problem.

instance Instance

Possible values: 1 ≤ length

A string containing a URI reference that identifies the specific occurrence of the problem.

error_code Error Code

A Number that indicates the error type that occurred.